This is the mail archive of the gcc@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: openssl-0.9.6d


   From: "Joseph Davida[CONT]" <Joseph.Davida@Sun.COM>
   Date: Mon, 20 May 2002 11:23:01 -0700 (PDT)

   Compiling on Solaris 2.8 sparc Ultra-1
   yielded this gcc 3.03 generated assmbler error:
   
   _DLFCN_H -mcpu=ultrasparc -O3 -fomit-frame-pointer -Wall -DB_ENDIAN -DBN_DIV2W -
   DULTRASPARC -DMD5_ASM  -c  cbc_enc.c
   /usr/ccs/bin/as: "/var/tmp/ccl5HBgq.s", line 362: error: unknown opcode ".subsec
   tion"

These opcodes are in assembler coded into the openssl sources.
You need to report this bug to the openssl maintainers.
Their assembler code is assuming that GNU assembler mnemonics
are available, which is not the case for you since you are using
the Solaris native assembler.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]